Package org.eclipse.birt.report.model.api.css

# Class StyleIterator

java.lang.Object
org.eclipse.birt.report.model.api.css.StyleIterator

All Implemented Interfaces:
  `Iterator`

public class StyleIterator extends Object implements Iterator
Iterates over the styles of an include style sheet.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Iterator`
`iter`
The cached iterator.
`protected org.eclipse.birt.report.model.core.Module`
`module`
Module.

## Constructor Summary

Constructors
Constructor
Description
`StyleIterator(CssStyleSheetHandle styleSheet)`
Constructs a iterator to return the styles of the given style sheet.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
Returns true if there is another style to retrieve.
`Object`
`next()`
Returns a handle of the style.
`void`
`remove()`
Inherited method that is disabled in this iterator; the caller cannot remove styles using this class.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Field Details

### iter

protected Iterator iter
The cached iterator.

### module

protected org.eclipse.birt.report.model.core.Module module
Module.

## Constructor Details

### StyleIterator

public StyleIterator(CssStyleSheetHandle styleSheet)
Constructs a iterator to return the styles of the given style sheet.

Parameters:
  `styleSheet` - handle to the style sheet for which styles are included. Must not be `null`.

## Method Details

### remove

public void remove()
Inherited method that is disabled in this iterator; the caller cannot remove styles using this class.

Specified by:
  `remove` in interface `Iterator`
See Also:
  - `Iterator.remove()`

### hasNext

public boolean hasNext()
Returns true if there is another style to retrieve.

Specified by:
  `hasNext` in interface `Iterator`
Returns:
  true if there is another style to retrieve, false otherwise
See Also:
  - `Iterator.hasNext()`

### next

public Object next()
Returns a handle of the style.

Specified by:
  `next` in interface `Iterator`
Returns:
  the handle of the style
See Also:
  - `Iterator.next()`
  - `SharedStyleHandle`